Get
Get a device by ID.
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-08-17.everglades"
Path Parameters
The unique identifier of the device.
"dvc_123"
Query Parameters
Fields to expand on the device resource.
current_deployment, current_release, group Response
Successfully retrieved the device.
The object type, which is always device.
device "device"
ID of the device.
"dvc_123"
Name of the device.
"My Device"
A free-form description of the device.
"Welder on line 3"
The status of the device.
- Inactive: The miru agent has not yet been installed / authenticated
- Activating: The miru agent is currently being installed / authenticated (should only last for a few seconds)
- Online: The miru agent has successfully pinged the server within the last 60 seconds.
- Offline: The miru agent has not successfully pinged the server within the last 60 seconds (e.g. network issues, device is powered off, etc.)
- Archived: The device has been archived. The agent's session has been revoked and the device no longer participates in workspace operations. See
archived_atfor when this occurred.
inactive, activating, online, offline, archived The version of the agent the device is running.
"v1.0.0"
Timestamp of when the device was last made an initial connection (this is not the same as the last time the device was seen).
"2021-01-01T00:00:00Z"
Timestamp of when the device was last disconnected (this is not the same as the last time the device was seen).
"2021-01-01T00:00:00Z"
Timestamp of when the device was created.
"2021-01-01T00:00:00Z"
Timestamp of when the device was last updated.
"2021-01-01T00:00:00Z"
ID of the group this device belongs to. Null if the device is unassigned.
"grp_123"
The current deployment for the device.
The current release for the device.
The group this device belongs to. Null if the device is unassigned.

